Package htsjdk.beta.plugin.reads

# Class ReadsDecoderOptions

java.lang.Object
htsjdk.beta.plugin.reads.ReadsDecoderOptions

All Implemented Interfaces:
  `HtsDecoderOptions`

public class ReadsDecoderOptions extends Object implements HtsDecoderOptions
Reads decoder options (shared/common).

## Constructor Summary

Constructors
Constructor
Description
`ReadsDecoderOptions()`

## Method Summary

Modifier and Type
Method
Description
`BAMDecoderOptions`
`getBAMDecoderOptions()`
Get the `BAMDecoderOptions` for these options.
`CRAMDecoderOptions`
`getCRAMDecoderOptions()`
Get the `CRAMDecoderOptions` for these options.
`Optional<Function<SeekableByteChannel,SeekableByteChannel>>`
`getIndexChannelTransformer()`
Get the channel transformer for the index resource.
`Optional<Function<SeekableByteChannel,SeekableByteChannel>>`
`getReadsChannelTransformer()`
Get the channel transformer for the reads resource.
`ValidationStringency`
`getValidationStringency()`
Get the `ValidationStringency` used for these options.
`boolean`
`isDecodeEagerly()`
Get eagerly decoding state used for these options.
`boolean`
`isFileBasedIndexCached()`
Get the file based index cache setting used for these options.
`boolean`
`isMemoryMapIndexes()`
Get whether mapping indexes is enabled.
`ReadsDecoderOptions`
`setBAMDecoderOptions(BAMDecoderOptions bamDecoderOptions)`
Set the `BAMDecoderOptions` used for these options.
`ReadsDecoderOptions`
`setCRAMDecoderOptions(CRAMDecoderOptions cramDecoderOptions)`
Set the `CRAMDecoderOptions` for these ReadsDecoderOptions.
`ReadsDecoderOptions`
`setDecodeEagerly(boolean eagerlyDecode)`
Set the eagerly decoding state used for these options.
`ReadsDecoderOptions`
`setFileBasedIndexCached(boolean fileBasedIndexCached)`
Set id file based index caching is enabled for these options.
`ReadsDecoderOptions`
`setIndexChannelTransformer(Function<SeekableByteChannel,SeekableByteChannel> indexChannelTransformer)`
Set the channel transformer for the index resource.
`ReadsDecoderOptions`
`setMemoryMapIndexes(boolean memoryMapIndexes)`
Set whether memory mapping indexes is enabled.
`ReadsDecoderOptions`
`setReadsChannelTransformer(Function<SeekableByteChannel,SeekableByteChannel> readsChannelTransformer)`
Set the channel transformer for the reads resource.
`ReadsDecoderOptions`
`setValidationStringency(ValidationStringency validationStringency)`
Set the `ValidationStringency` used for these options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadsDecoderOptions

public ReadsDecoderOptions()

## Method Details

### getValidationStringency

public ValidationStringency getValidationStringency()
Get the `ValidationStringency` used for these options. Defaults to `ValidationStringency.STRICT`.

Returns:
  the `ValidationStringency` used for these options

### setValidationStringency

public ReadsDecoderOptions setValidationStringency(ValidationStringency validationStringency)
Set the `ValidationStringency` used for these options. Defaults value is `ValidationStringency.STRICT`.

Parameters:
  `validationStringency` - the `ValidationStringency` used for these options
Returns:
  updated ReadsDecoderOptions

### isDecodeEagerly

public boolean isDecodeEagerly()
Get eagerly decoding state used for these options.

Returns:
  true if eager decoding is enabled, otherwise false

### setDecodeEagerly

public ReadsDecoderOptions setDecodeEagerly(boolean eagerlyDecode)
Set the eagerly decoding state used for these options.

Parameters:
  `eagerlyDecode` - true if eagerly decode is set, otherwise false
Returns:
  updated ReadsDecoderOptions

### isFileBasedIndexCached

public boolean isFileBasedIndexCached()
Get the file based index cache setting used for these options.

Returns:
  true if caching is enabled for index files, otherwise false

### setFileBasedIndexCached

public ReadsDecoderOptions setFileBasedIndexCached(boolean fileBasedIndexCached)
Set id file based index caching is enabled for these options.

Parameters:
  `fileBasedIndexCached` - true to enable caching, otherwise false
Returns:
  updated ReadsDecoderOptions

### isMemoryMapIndexes

public boolean isMemoryMapIndexes()
Get whether mapping indexes is enabled. Defaults to true.

Returns:
  true if indexes are memory mapped, otherwise false

### setMemoryMapIndexes

public ReadsDecoderOptions setMemoryMapIndexes(boolean memoryMapIndexes)
Set whether memory mapping indexes is enabled. Defaults to true.

Parameters:
  `memoryMapIndexes` - true if indexes are memory mapped, otherwise false
Returns:
  updated ReadsDecoderOptions

### getBAMDecoderOptions

public BAMDecoderOptions getBAMDecoderOptions()
Get the `BAMDecoderOptions` for these options.

Returns:
  the `BAMDecoderOptions` for these options

### setBAMDecoderOptions

public ReadsDecoderOptions setBAMDecoderOptions(BAMDecoderOptions bamDecoderOptions)
Set the `BAMDecoderOptions` used for these options.

Parameters:
  `bamDecoderOptions` - the `BAMDecoderOptions` for these ReadsDecoderOptions
Returns:
  updated ReadsDecoderOptions

### getCRAMDecoderOptions

public CRAMDecoderOptions getCRAMDecoderOptions()
Get the `CRAMDecoderOptions` for these options.

Returns:
  the `CRAMDecoderOptions` for these options

### setCRAMDecoderOptions

public ReadsDecoderOptions setCRAMDecoderOptions(CRAMDecoderOptions cramDecoderOptions)
Set the `CRAMDecoderOptions` for these ReadsDecoderOptions.

Parameters:
  `cramDecoderOptions` - the `CRAMDecoderOptions` for these ReadsDecoderOptions
Returns:
  updated ReadsDecoderOptions

### getReadsChannelTransformer

@InternalAPI public Optional<Function<SeekableByteChannel,SeekableByteChannel>> getReadsChannelTransformer()
Get the channel transformer for the reads resource. The channel transformer can be used to implement prefetching for the reads input.

Returns:
  the channel transformer for the reads resource if present, otherwise Optional.empty()

### setReadsChannelTransformer

@InternalAPI public ReadsDecoderOptions setReadsChannelTransformer(Function<SeekableByteChannel,SeekableByteChannel> readsChannelTransformer)
Set the channel transformer for the reads resource. The channel transformer can be used to implement prefetching for the reads input.

Parameters:
  `readsChannelTransformer` - the channel transformer to be used. may be null
Returns:
  updated ReadsDecoderOptions

### getIndexChannelTransformer

@InternalAPI public Optional<Function<SeekableByteChannel,SeekableByteChannel>> getIndexChannelTransformer()
Get the channel transformer for the index resource. The channel transformer can be used to implement prefetching for the index input.

Returns:
  the channel transformer for the index resource if present, otherwise Optional.empty()

### setIndexChannelTransformer

@InternalAPI public ReadsDecoderOptions setIndexChannelTransformer(Function<SeekableByteChannel,SeekableByteChannel> indexChannelTransformer)
Set the channel transformer for the index resource. The channel transformer can be used to implement prefetching for the index input.

Parameters:
  `indexChannelTransformer` - the channel transformer to be used. may be null.
Returns:
  updated ReadsDecoderOptions